org.eclipse.ease.modules.platform

## Class P2Module

- java.lang.Object
- - org.eclipse.ease.modules.platform.P2Module

    public class P2Module
    extends Object

This module allows to interact with the eclipse p2 system that allows to modify the installed components.

### Constructor Summary

Constructors
Constructor and Description
`P2Module()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkForUpdates()` Silently update the current installation using registered p2 sites.
`void` `install(String component)` Install a component into the running system.
`void` `registerUpdateSite(String updateSite)` Register a new p2 update site.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### P2Module

    public P2Module()

### Method Detail

#### checkForUpdates

    public void checkForUpdates()

Silently update the current installation using registered p2 sites.

#### registerUpdateSite

    public void registerUpdateSite(String updateSite)
                            throws ProvisionException,
                                   OperationCanceledException

Register a new p2 update site.

Parameters:
  `updateSite` - site to register
Throws:
  `ProvisionException` - when repository cannot be created/loaded
  `OperationCanceledException` - when user cancels the operation

#### install

    public void install(String component)

Install a component into the running system.

Parameters:
  `component` - component id. Either the name of a plugin or the id of a feature (= feature.name.feature.group)